ruby-ldap_0.9.20-1+b1_i386.deb


Advertisement

Description

ruby-ldap - OpenLDAP library binding for Ruby

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename ruby-ldap_0.9.20-1+b1_i386.deb
Package name ruby-ldap
Package version 0.9.20
Package release 1+b1
Package architecture i386
Package type deb
Category role::shared-lib ruby
Homepage https://github.com/alexey-chebotar/ruby-ldap
License -
Maintainer Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Download size 53.75 KB
Installed size 172.00 KB

Alternatives

Package Version Architecture Repository
ruby-ldap_0.9.20-1+b1_amd64.deb 0.9.20 amd64 Debian Main
ruby-ldap - - -

Requires

Name Value
libc6 >= 2.4
libgmp10 -
libldap-2.4-2 >= 2.4.7
libruby2.5 >= 2.5.0~preview1
ruby << 1:2.6~
ruby >= 1:2.5~0

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ruby-ldap_0.9.20-1+b1_i386.deb
Source Package ruby-ldap

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-ldap deb package:
    # sudo apt-get install ruby-ldap

Files

Path
/usr/lib/i386-linux-gnu/ruby/vendor_ruby/2.5.0/ldap.so
/usr/lib/ruby/vendor_ruby/ldap/control.rb
/usr/lib/ruby/vendor_ruby/ldap/ldif.rb
/usr/lib/ruby/vendor_ruby/ldap/schema.rb
/usr/share/doc/ruby-ldap/FAQ
/usr/share/doc/ruby-ldap/README.gz
/usr/share/doc/ruby-ldap/changelog.Debian.gz
/usr/share/doc/ruby-ldap/changelog.Debian.i386.gz
/usr/share/doc/ruby-ldap/changelog.gz
/usr/share/doc/ruby-ldap/copyright
/usr/share/doc/ruby-ldap/examples/test/add.rb
/usr/share/doc/ruby-ldap/examples/test/add2.rb
/usr/share/doc/ruby-ldap/examples/test/add3.rb
/usr/share/doc/ruby-ldap/examples/test/bind-ldaps.rb
/usr/share/doc/ruby-ldap/examples/test/bind-sasl.rb
/usr/share/doc/ruby-ldap/examples/test/bind-ssl.rb
/usr/share/doc/ruby-ldap/examples/test/bind.rb
/usr/share/doc/ruby-ldap/examples/test/compare.rb
/usr/share/doc/ruby-ldap/examples/test/conf.rb
/usr/share/doc/ruby-ldap/examples/test/delete.rb
/usr/share/doc/ruby-ldap/examples/test/ext.rb
/usr/share/doc/ruby-ldap/examples/test/misc1.rb
/usr/share/doc/ruby-ldap/examples/test/misc2.rb
/usr/share/doc/ruby-ldap/examples/test/modrdn.rb
/usr/share/doc/ruby-ldap/examples/test/moz_cert.rb
/usr/share/doc/ruby-ldap/examples/test/search.rb
/usr/share/doc/ruby-ldap/examples/test/search2.rb
/usr/share/doc/ruby-ldap/examples/test/search3.rb
/usr/share/doc/ruby-ldap/examples/test/setup.rb
/usr/share/doc/ruby-ldap/examples/test/subschema.rb
/usr/share/doc/ruby-ldap/examples/test/tc_conn.rb
/usr/share/doc/ruby-ldap/examples/test/tc_ldif.rb
/usr/share/doc/ruby-ldap/examples/test/tc_schema.rb
/usr/share/doc/ruby-ldap/examples/test/tc_search.rb
/usr/share/doc/ruby-ldap/examples/test/ts_ldap.rb
/usr/share/rubygems-integration/2.5.0/specifications/ruby-ldap-0.9.20.gemspec

Changelog

2018-08-18 - Marc Dequènes (Duck) <Duck@DuckCorp.org>
ruby-ldap (0.9.20-1) unstable; urgency=medium
* New upstream version.
* Add multiarch package info.
* Fix copyright file syntax.
2018-04-14 - Marc Dequènes (Duck) <Duck@DuckCorp.org>
ruby-ldap (0.9.19-1) unstable; urgency=medium
* New upstream version.
* Added myself to uploaders.
* Use new gemwatch service.
* Updated VCS URLs (Alioth->Salsa).
* Bump Standards-Version to 4.1.4.
* Use HTTPS URLs in Debian metadata.
* Switch to compat level 11.
2013-12-31 - Jonas Genannt <jonas.genannt@capi2name.de>
ruby-ldap (0.9.16-1) unstable; urgency=low
* Team upload.
[ Cédric Boutillier ]
* debian/control:
- remove obsolete DM-Upload-Allowed flag
- use canonical URI in Vcs-* fields
* debian/copyright: use DEP5 copyright-format/1.0 official URL for Format
[ Jonas Genannt ]
* Imported Upstream version 0.9.16
* d/control:
- bumped standards version to 3.9.5 (no changes needed)
- removed transitional package
- bumped dependency of gem2deb to support Ruby 2.0
- updated long description
* removed rb_raise_format_string patch, included by upstream
2012-06-30 - Antonio Terceiro <terceiro@debian.org>
ruby-ldap (0.9.12-2) unstable; urgency=low
* Bump gem2deb dependency on gem2deb to >= 0.3.0~
* Bump standards version to 3.9.3; no changes needed.
2012-06-22 - gregor herrmann <gregoa@debian.org>
ruby-ldap (0.9.12-1.1) unstable; urgency=low
* Non-maintainer upload.
* Fix "FTBFS: sslconn.c:103:7: error: format not a string literal and
no format arguments [-Werror=format-security]":
add patch rb_raise_format_string.patch from Johannes Brandstätter (adds
format strings).
(Closes: #676205)
2012-01-03 - Antonio Terceiro <terceiro@debian.org>
ruby-ldap (0.9.12-1) unstable; urgency=low
* New upstream release
* Fixes memory corruption problems (Closes: #499944)
* Ship (test/*) as examples
* Make the transitional package libldap-ruby1.8 Priority: extra.
2011-11-30 - Antonio Terceiro <terceiro@debian.org>
ruby-ldap (0.9.11-1) unstable; urgency=low
* New upstream release
* Rename package and migrate to gem2deb. This adds Ruby 1.9 support
(Closes: #648417)
* Bring the package into pkg-ruby-extras team umbrella.
2009-11-29 - Michael Banck <mbanck@debian.org>
libldap-ruby (0.9.7-1.1) unstable; urgency=low
* Non-maintainer upload.
* conn.c: Replaced LDAP_OPT_X_TLS_PROTOCOL with LDAP_OPT_X_TLS_PROTOCOL_MIN.
* ldap.c: Likewise (Closes: #521980)
2006-09-25 - akira yamada <akira@debian.org>
libldap-ruby (0.9.7-1) unstable; urgency=low
* New upstream release
* applied patch from Philipp Kern: invalid regexp in ldap/schema.rb.
(Closes: #385925)
2006-06-07 - akira yamada <akira@debian.org>
libldap-ruby (0.9.5-1) unstable; urgency=low
* New upstream release.  (Closes: #363137)

See Also

Package Description
ruby-leaflet-rails_1.3.1+dfsg-1_all.deb Use leaflet.js with Rails 4
ruby-letter-opener_1.7.0-1_all.deb Preview mail in the browser instead of sending
ruby-levenshtein_0.2.2-2+b9_i386.deb calculates the Levenshtein distance between two sequences
ruby-libprelude_4.1.0-4.2+b1_i386.deb Security Information and Events Management system [ Ruby bindings ]
ruby-librarian_0.6.4-1_all.deb framework for writing bundlers
ruby-librdf_1.0.17.1+dfsg-1.3+b7_i386.deb Ruby language bindings for the Redland RDF library
ruby-libvirt_0.7.1-1_i386.deb Ruby bindings for libvirt
ruby-libxml_3.1.0-1_i386.deb Ruby Bindings for LibXML2
ruby-license-finder_2.1.2-2_all.deb audit the OSS licenses of your application's dependencies
ruby-licensee_8.9.2-1_all.deb program to detect open source project licenses
ruby-liquid_4.0.3-1_all.deb Ruby library for rendering safe HTML and email templates
ruby-listen_3.1.5-1_all.deb Ruby library listening to file modifications
ruby-little-plugger_1.1.4-1_all.deb module that provides Gem based plugin management
ruby-locale_2.1.2-1_all.deb Locale library for Ruby
ruby-lockfile_2.1.3-1_all.deb create NFS-safe lockfiles
Advertisement
Advertisement